(defun C:VPFreezeLayerExceptCurrent ( / flag ent laynm )
	(cond ((and (= 0 (getvar 'TILEMODE)) (> (getvar 'CVPORT) 1))
					(setq flag T)
					(While flag
							(setq flag nil)
							(setq ent (car (entsel "\nSelect an entity on the layer to be frozen in all viewports EXCEPT current: " )))
							(cond (ent (setq laynm (vle-entget 8 ent)))
										(T (princ "\nNothing selected, try again. ") (setq flag T))
							)
					)
					(cond (laynm
									(acet-sysvar-set '("CMDECHO" 0))
									(command "._VPLAYER" "_F" laynm "_X" "")
									(acet-sysvar-restore)
									(princ (strcat "\nLayer " (strcase laynm) " has been frozen in all viewports except current"))
								)
					)
				)
				(T (Princ "\nMust be inside an active paperspace viewport "))	
	)
(prin1)
)

(defun C:VPFreezeLayerInAll ( / flag ent laynm )
	(cond ((and (= 0 (getvar 'TILEMODE)) (> (getvar 'CVPORT) 1))
					(setq flag T)
					(While flag
							(setq flag nil)
							(setq ent (car (entsel "\nSelect an entity on the layer to be frozen in ALL viewports: " )))
							(cond (ent (setq laynm (vle-entget 8 ent)))
										(T (princ "\nNothing selected, try again. ") (setq flag T))
							)
					)
					(cond (laynm
									(acet-sysvar-set '("CMDECHO" 0))
									(command "._VPLAYER" "_F" laynm "_A" "")
									(acet-sysvar-restore)
									(princ (strcat "\nLayer " (strcase laynm) " has been frozen in all viewports"))
								)
					)
				)
				(T (Princ "\nMust be inside an active paperspace viewport "))	
	)
(prin1)
)

(Princ "\nVPFreezeAll loaded Command(s): VPFreezeLayerExceptCurrent, VPFreezeLayerInAll ")
(Prin1)